﻿
using System.Data.SqlClient;
using C1.Web.Mvc.Serialization;
using C1.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Logging;
using InputIntro.Data;

namespace InputIntro.Pages
{
    public class IndexModel : PageModel
    {
        private readonly ILogger<IndexModel> _logger;

        [BindProperty]
        public List<Person> person { get; set; }
        public IndexModel(ILogger<IndexModel> logger)
        {
            _logger = logger;

        }
        public void OnGet()
        {
            person = SampleData.GetData(5).ToList();
        }
        public void OnPost()
        {
            if (ModelState.IsValid)
            {
                ViewData["message"] = "Information Saved - " + ModelState["person.Hired"].RawValue.ToString();

            }
        }
    }
}
